[
  {
    blockid = queue;
    help=service_smtp_mqueue_queue_queue;
    custom = com.netscape.management.msgserv.MsgQueueControl;
    localvar =
    {
	  .dialogheader.text="Messaging Server \u961f\u5217\u63a7\u5236";
	  .col1.header = "\u540d\u79f0";
	  .col2.header = "\u90ae\u4ef6\u6570\u91cf";
	  .col3.header = "\u64cd\u4f5c";
	  .queue.help = "\u961f\u5217\u5217\u8868";
	  .but.text = "\u9009\u62e9\u64cd\u4f5c";
    };
    content =
    [
	  {
	    ctrl = pane;
	    layout = [ybox];
	    content =
	    [
		  {
		    ctrl = label;
		    id = msgqlabel;
		    text = $.queue.help;
		  },
		  {
		    ctrl = table;
		    id = msgqtable;
		    label = msgqlabel;
		    showadd = false;
		    showdelete = false;
		    showedit = false;
		    buttonsat = south;
		    columns =
		    [
			  {
			    header = $.col1.header;
		  	  },
			  {
			    header = $.col2.header;
			  },
			  {
			    header = $.col3.header;
			    varname = action;
			  }
		    ];
		    buttons =
		    [
		      {
		        text = $.but.text;
		        cmd = ".sel.action";
		      }
		    ]
		  }
	    ]
	  }
    ]
  },
  {
    blockid = editaction;
    help=service_smtp_mqueue_queue_editaction;
    localvar =
    {
	  /* translate this block */
	  /* .action.items = [bounce, defer, delete, requeue]; */
	  /* .action.labels = ["\u9000\u56de", "\u5ef6\u8fdf", "\u5220\u9664", "\u91cd\u65b0\u5217\u961f"]; */
	  .action.items = [bounce, delete, requeue];
	  .action.labels = ["\u9000\u56de", "\u5220\u9664", "\u91cd\u65b0\u5217\u961f"];
	  .action.help = "\u8bf7\u9009\u62e9\u8981\u5bf9\u5217\u961f\u90ae\u4ef6\u6267\u884c\u7684\u64cd\u4f5c:";
    };
    content =
    [
	  {
	    ctrl = pane;
	    layout = [ybox];
	    content =
	    [
	      {
	        ctrl = label;
	        text = $.action.help;
	        id = actionlabel;
	        wrap = $g.label.size3;
	      },
	      {
	        ctrl = vstrut;
	      },
		  {
		    ctrl = choice;
		    id = actionctrl;
		    label = actionlabel;
		    style = radio;
		    items = $.action.items;
		    labels = $.action.labels;
		    group = actiongroup;
		    val = $action;
		    focus = true;
		  }
	    ]
	  }
    ]
  }
]
